/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2024-08-22 11:14:55Z
 *****************************************************************************/

#ifndef __RSMXO_ATTRIBUTES_HEADER
#define __RSMXO_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsmxo_FormatProtocolI2CFrameRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolI2CFrameFieldRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolI2CFrameFieldRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolI2CFrameFieldRepCapHexString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolI2CErrorRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatHexString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolI2CFrameRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolI2CFrameRepCapReal64_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolI2CFrameRepCapString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolI2CFrameByteRepCapReal64_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolI2CFrameByteRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolI2CFrameByteRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPIFrameRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPIFrameFieldRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPIFrameFieldRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPIFrameFieldRepCapHexString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPIErrorRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPIFrameRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPIFrameRepCapReal64_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPIFrameWordRepCapReal64_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPIFrameRepCapString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolUARTFrameRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolUARTFrameFieldRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolUARTFrameFieldRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolUARTFrameFieldRepCapHexString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolUARTErrorRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolUARTWordRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolUARTWordRepCapReal64_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolCANFrameRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolCANFrameFieldRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolCANErrorRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolCANFrameFieldRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolCANFrameFieldRepCapHexString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolCANFrameRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolCANFrameRepCapReal64_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolCANFrameRepCapString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolCANFrameByteRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolCANFrameFieldRepCapReal64_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolLINFrameRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolLINFrameFieldRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolLINFrameFieldRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolLINFrameFieldRepCapHexString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolLINErrorRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolLINFrameRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolLINFrameRepCapReal64_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolLINFrameRepCapString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolLINFrameByteRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolLINFrameByteRepCapString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPMIFrameRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPMIFrameFieldRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPMIFrameFieldRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPMIFrameFieldRepCapHexString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPMIErrorRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPMIFrameRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPMIFrameRepCapReal64_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPMIFrameRepCapString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPMIFrameFieldRepCapString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolSPMIFrameFieldRepCapReal64_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolTNOSFrameRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolTNOSFrameFieldRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolTNOSFrameFieldRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolTNOSFrameFieldRepCapHexString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolTNOSErrorRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolTNOSFrameRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolTNOSFrameRepCapReal64_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolTNOSFrameByteRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolTNOSFrameByteRepCapString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolTNOSFrameRepCapString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolHBTOFrameRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolHBTOFrameFieldRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolHBTOFrameFieldRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolHBTOFrameFieldRepCapHexString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolHBTOErrorRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolHBTOFrameRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolHBTOFrameRepCapReal64_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolHBTOFrameByteRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolHBTOFrameByteRepCapString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatProtocolHBTOFrameRepCapString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatFRANAmplitudePointRepCapReal64_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatSmartGridNodeRepCapBoolean_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatSmartGridNodeRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatSmartGridNodeRepCapReal64_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_FormatSmartGridNodeContentRepCapInt32_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsmxo_logging_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsmxo_FormatProtocolI2CFrameRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolI2CFrameFieldRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolI2CFrameFieldRepCapInt32_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolI2CFrameFieldRepCapHexString_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolI2CErrorRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatHexString_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolSPIFrameRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolSPIFrameFieldRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolSPIFrameFieldRepCapInt32_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolSPIFrameFieldRepCapHexString_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolSPIErrorRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolUARTFrameRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolUARTFrameFieldRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolUARTFrameFieldRepCapInt32_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolUARTFrameFieldRepCapHexString_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolUARTErrorRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolCANFrameRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolCANFrameFieldRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolCANErrorRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolCANFrameFieldRepCapInt32_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolCANFrameFieldRepCapHexString_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolCANFrameRepCapInt32_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolCANFrameRepCapReal64_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolCANFrameRepCapString_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolCANFrameFieldRepCapReal64_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolLINFrameRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolLINFrameFieldRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolLINFrameFieldRepCapInt32_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolLINFrameFieldRepCapHexString_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolLINErrorRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolSPMIFrameRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolSPMIFrameFieldRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolSPMIFrameFieldRepCapInt32_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolSPMIFrameFieldRepCapHexString_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolSPMIErrorRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolTNOSFrameRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolTNOSFrameFieldRepCapInt32_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolTNOSFrameFieldRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolTNOSFrameFieldRepCapHexString_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolTNOSErrorRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolHBTOFrameRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolHBTOFrameFieldRepCapInt32_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolHBTOFrameFieldRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolHBTOFrameFieldRepCapHexString_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatProtocolHBTOErrorRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatFRANAmplitudePointRepCapAction_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatFRANAmplitudePointRepCapReal64_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatSmartGridNodeRepCapBoolean_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatSmartGridNodeRepCapInt32_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatSmartGridNodeRepCapReal64_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_FormatSmartGridNodeContentRepCapInt32_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsmxo_logging_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableDiscrete RsMxo_rngAcquisitionInterpolation;
extern RsCoreRangeTableDiscrete RsMxo_rngAcquisitionRecordLengthMode;
extern RsCoreRangeTableDiscrete RsMxo_rngAcquisitionSampleRateMode;
extern RsCoreRangeTableDiscrete RsMxo_rngAcquisitionMode;
extern RsCoreRangeTableDiscrete RsMxo_rngSpectrumWindowType;
extern RsCoreRangeTableDiscrete RsMxo_rngSpectrumScaleUnit;
extern RsCoreRangeTableDiscrete RsMxo_rngPeaklistFrameType;
extern RsCoreRangeTableDiscrete RsMxo_rngSpectrumPeakListResultMode;
extern RsCoreRangeTableDiscrete RsMxo_rngCalibrationResult;
extern RsCoreRangeTableDiscrete RsMxo_rngVerticalBandwidth;
extern RsCoreRangeTableDiscrete RsMxo_rngVerticalCoupling;
extern RsCoreRangeTableDiscrete RsMxo_rngVerticalExternalAttenuationScale;
extern RsCoreRangeTableDiscrete RsMxo_rngCursorType;
extern RsCoreRangeTableDiscrete RsMxo_rngSource;
extern RsCoreRangeTableDiscrete RsMxo_rngCursorStyle;
extern RsCoreRangeTableDiscrete RsMxo_rngDisplaySignalStyle;
extern RsCoreRangeTableDiscrete RsMxo_rngCSVDelimiter;
extern RsCoreRangeTableDiscrete RsMxo_rngGeneratorSynchronisation;
extern RsCoreRangeTableDiscrete RsMxo_rngScreenshotFileFormat;
extern RsCoreRangeTableDiscrete RsMxo_rngSmartGridNodeType;
extern RsCoreRangeTableDiscrete RsMxo_rngSmartGridNodeSplitType;
extern RsCoreRangeTableDiscrete RsMxo_rngAbsoluteRelative;
extern RsCoreRangeTableDiscrete RsMxo_rngMeasurementDirection;
extern RsCoreRangeTableDiscrete RsMxo_rngMeasurementType;
extern RsCoreRangeTableDiscrete RsMxo_rngResultsLabelLayout;
extern RsCoreRangeTableDiscrete RsMxo_rngDigitalChannel;
extern RsCoreRangeTableDiscrete RsMxo_rngLogicClockedSlope;
extern RsCoreRangeTableDiscrete RsMxo_rngDataFormat;
extern RsCoreRangeTableDiscrete RsMxo_rngLogicHysteresis;
extern RsCoreRangeTableDiscrete RsMxo_rngLogicTechnology;
extern RsCoreRangeTableDiscrete RsMxo_rngProbeVerticalUnit;
extern RsCoreRangeTableDiscrete RsMxo_rngVerticalProbeMicroButton;
extern RsCoreRangeTableDiscrete RsMxo_rngVerticalProbeState;
extern RsCoreRangeTableDiscrete RsMxo_rngRescaleHorizonalMode;
extern RsCoreRangeTableDiscrete RsMxo_rngRescaleVerticalMode;
extern RsCoreRangeTableDiscrete RsMxo_rngReferenceLevelRelativeMode;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolFilterBit;
extern RsCoreRangeTableDiscrete RsMxo_rngProcotolFilterDataOperator;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolFilterIndexOperator;
extern RsCoreRangeTableDiscrete RsMxo_rngReadWriteAccess;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolResultsAddressType;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolI2CResultsState;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolSPIBitOrder;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolSPIResultsState;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolSPIFrameCondition;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolSPILinePolarity;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolFilterCondition;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolUARTPacket;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolUARTParity;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolUARTPolarity;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolUARTStopBits;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolUARTWordState;
extern RsCoreRangeTableDiscrete RsMxo_rngInternalExternal;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerActionPolarity;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerEdgeCoupling;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerEdgeHighPass;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerEdgeLowPass;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerEdgeFilter;
extern RsCoreRangeTableDiscrete RsMxo_rngSlope;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerGlitchRange;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerIntervalRange;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerRuntRange;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerEdge;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerSlewRateRange;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerTimeoutRange;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerType;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerWidthRange;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerVerticalCondition;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerTimeCondition;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerFilterMode;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerHoldoffMode;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerOn;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerMode;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerReadWriteAccess;
extern RsCoreRangeTableDiscrete RsMxo_rngConditionOperator;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolTriggerAddressType;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolI2CTriggerType;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerSizeMode;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerHysteresisMode;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerSPISearchMode;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolSPITriggerType;
extern RsCoreRangeTableDiscrete RsMxo_rngUARTSource;
extern RsCoreRangeTableDiscrete RsMxo_rngUARTTriggerType;
extern RsCoreRangeTableDiscrete RsMxo_rngGeneratorArbitraryRunMode;
extern RsCoreRangeTableDiscrete RsMxo_rngArbitrarySignalSource;
extern RsCoreRangeTableDiscrete RsMxo_rngArbitrarySource;
extern RsCoreRangeTableDiscrete RsMxo_rngGeneratorFunctionType;
extern RsCoreRangeTableDiscrete RsMxo_rngModulationSignalType;
extern RsCoreRangeTableDiscrete RsMxo_rngModulationType;
extern RsCoreRangeTableDiscrete RsMxo_rngGeneratorUserLoad;
extern RsCoreRangeTableDiscrete RsMxo_rngGeneratorSweepType;
extern RsCoreRangeTableRanged RsMxo_rngAcquisitionRecordLength;
extern RsCoreRangeTableRanged RsMxo_rngAcquisitionResolution;
extern RsCoreRangeTableRanged RsMxo_rngAcquisitionRecordLengthLimit;
extern RsCoreRangeTableRanged RsMxo_rngAcquisitionHistoryIndex;
extern RsCoreRangeTableRanged RsMxo_rngTriggerSlewRateTime;
extern RsCoreRangeTableRanged RsMxo_rngTriggerTimeoutTime;
extern RsCoreRangeTableRanged RsMxo_rngSpectrumPeakListMaxResults;
extern RsCoreRangeTableRanged RsMxo_rngSpectrumPeakListPeakExcursion;
extern RsCoreRangeTableRanged RsMxo_rngSpectrumTracesAverageCount;
extern RsCoreRangeTableRanged RsMxo_rngPercentage;
extern RsCoreRangeTableRanged RsMxo_rngSetupAndHoldClockLevel;
extern RsCoreRangeTableRanged RsMxo_rngTriggerHoldoffAutoTimeScaling;
extern RsCoreRangeTableRanged RsMxo_rngGeneratorModulationDutyCycle;
extern RsCoreRangeTableRanged RsMxo_rngGeneratorDutyCycle;
extern RsCoreRangeTableRanged RsMxo_rngGeneratorFrequency;
extern RsCoreRangeTableRanged RsMxo_rngArbitraryNumberOfSamples;
extern RsCoreRangeTableRanged RsMxo_rngPhaseShift;
extern RsCoreRangeTableRanged RsMxo_rngProtocolSPIWordLength;
extern RsCoreRangeTableRanged RsMxo_rngProtocolUARTBitRate;
extern RsCoreRangeTableRanged RsMxo_rngProtocolUARTDataBits;
extern RsCoreRangeTableRanged RsMxo_rngProtocolFilterIndex;
extern RsCoreRangeTableRanged RsMxo_rngZoomRelativeSpan;
extern RsCoreRangeTableDiscrete RsMxo_rngColorTable;
extern RsCoreRangeTableRanged RsMxo_rngReferenceLevelHysteresisAbsolute;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolType;
extern RsCoreRangeTableRanged RsMxo_rngProtocolAddress;
extern RsCoreRangeTableRanged RsMxo_rngSmartGridSplitRatio;
extern RsCoreRangeTableDiscrete RsMxo_rngTransferDataFormat;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolI2CResultsAddressAck;
extern RsCoreRangeTableRanged RsMxo_rngZoomDiagram;
extern RsCoreRangeTableDiscrete RsMxo_rngWaveformExportMode;
extern RsCoreRangeTableRanged RsMxo_rngWaveformGate;
extern RsCoreRangeTableDiscrete RsMxo_rngCursorSet;
extern RsCoreRangeTableDiscrete RsMxo_rngSpectrumTraceType;
extern RsCoreRangeTableDiscrete RsMxo_rngPeakListSource;
extern RsCoreRangeTableDiscrete RsMxo_rngMeasurementStatistics;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerSource;
extern RsCoreRangeTableRanged RsMxo_rngMeasurementAmplitudeTimePulseCount;
extern RsCoreRangeTableDiscrete RsMxo_rngMathOperator;
extern RsCoreRangeTableDiscrete RsMxo_rngMathSource;
extern RsCoreRangeTableDiscrete RsMxo_rngMathSignalType;
extern RsCoreRangeTableDiscrete RsMxo_rngMathEnvelopeWaveformSelection;
extern RsCoreRangeTableDiscrete RsMxo_rngMathVerticalScaleMode;
extern RsCoreRangeTableDiscrete RsMxo_rngCursorEnvelope;
extern RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisAmplitudeMode;
extern RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisAmplitudeProfileVoltageChange;
extern RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisUserGeneratorLoad;
extern RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisInputOutput;
extern RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisRBW;
extern RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisPointsMode;
extern RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisMeasurement;
extern RsCoreRangeTableDiscrete RsMxo_rngGateCouplingMode;
extern RsCoreRangeTableDiscrete RsMxo_rngMeasurementEnvelope;
extern RsCoreRangeTableDiscrete RsMxo_rngProbeVoltageRange;
extern RsCoreRangeTableDiscrete RsMxo_rngProbePredefinedType;
extern RsCoreRangeTableDiscrete RsMxo_rngProbeDisplay;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolCANFormError;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolCANResultState;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolCANFrameType;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolCANType;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolTriggerDLCOperator;
extern RsCoreRangeTableDiscrete RsMxo_rngCANTriggerFrameType;
extern RsCoreRangeTableDiscrete RsMxo_rngCANTriggerIdentifierType;
extern RsCoreRangeTableDiscrete RsMxo_rngCANTriggerType;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerChannel;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerStateOperator;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerSequenceType;
extern RsCoreRangeTableDiscrete RsMxo_rngReferenceWaveformSource;
extern RsCoreRangeTableDiscrete RsMxo_rngCursorSource;
extern RsCoreRangeTableDiscrete RsMxo_rngSpectrumSource;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolSource;
extern RsCoreRangeTableDiscrete RsMxo_rngMeasurementSource;
extern RsCoreRangeTableDiscrete RsMxo_rngWaveformSource;
extern RsCoreRangeTableRanged RsMxo_rngProtocolCANFDBitRate;
extern RsCoreRangeTableRanged RsMxo_rngProtocolCANFDSamplePoint;
extern RsCoreRangeTableRanged RsMxo_rngProtocolCANNominalBitRate;
extern RsCoreRangeTableDiscrete RsMxo_rngGenerator;
extern RsCoreRangeTableRanged RsMxo_rngDegrees;
extern RsCoreRangeTableRanged RsMxo_rngTriggerSequenceDelay;
extern RsCoreRangeTableRanged RsMxo_rngTriggerSequenceResetTimeout;
extern RsCoreRangeTableDiscrete RsMxo_rngDataConditionOperator;
extern RsCoreRangeTableRanged RsMxo_rngProtocolCANTriggerDLC;
extern RsCoreRangeTableRanged RsMxo_rngFrequencyResponseAnalysisPhaseVerticalScale;
extern RsCoreRangeTableRanged RsMxo_rngProbeManualGain;
extern RsCoreRangeTableRanged RsMxo_rngProbeZeroAdjust;
extern RsCoreRangeTableRanged RsMxo_rngAutonamingAutosaveInterval;
extern RsCoreRangeTableDiscrete RsMxo_rngMemoryCatalogFormat;
extern RsCoreRangeTableRanged RsMxo_rngMeasurementStatisticsMaximumEvents;
extern RsCoreRangeTableDiscrete RsMxo_rngSpectrumPeakListSort;
extern RsCoreRangeTableDiscrete RsMxo_rngSpectrumPeakListSortOrder;
extern RsCoreRangeTableDiscrete RsMxo_rngXDataConditionOperator;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolCANXDataTriggerSEC;
extern RsCoreRangeTableDiscrete RsMxo_rngFrequencyResponseAnalysisCalibrationResult;
extern RsCoreRangeTableRanged RsMxo_rngProtocolCANXLBitrate;
extern RsCoreRangeTableRanged RsMxo_rngProtocolCANXLSamplePoint;
extern RsCoreRangeTableDiscrete RsMxo_rngHorizontalRollEnabled;
extern RsCoreRangeTableRanged RsMxo_rngLogicDigitalChannelSizeOfTheDisplay;
extern RsCoreRangeTableRanged RsMxo_rngLogicPosition;
extern RsCoreRangeTableRanged RsMxo_rngLogicSizeOfTheDisplay;
extern RsCoreRangeTableDiscrete RsMxo_rngDisplayBacklightUserInactivity;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolTransceiverMode;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolFieldOperator;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolLINByteState;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolLINFrameIDState;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolLINFrameState;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolLINPolarity;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolLINStandard;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolUARTBitOrder;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerDigitalChannelState;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerDigitalStateOperator;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerPatternStateSources;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolLINTriggerIdentifier;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolLINTriggerType;
extern RsCoreRangeTableRanged RsMxo_rngDisplayBacklightBrightness;
extern RsCoreRangeTableRanged RsMxo_rngProtocolLINBitRate;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolLINTriggerDataOperator;
extern RsCoreRangeTableRanged RsMxo_rngProtocolLINDataPosition;
extern RsCoreRangeTableRanged RsMxo_rngDialogFontSize;
extern RsCoreRangeTableRanged RsMxo_rngDialogTransparency;
extern RsCoreRangeTableRanged RsMxo_rngDialogResultFontSize;
extern RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisType;
extern RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisSource;
extern RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisQualityFrequency;
extern RsCoreRangeTableRanged RsMxo_rngPowerAnalysisQualityFundamentalFrequencyUser;
extern RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisHarmonicsStandard;
extern RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisHarmonicsFundamentalFrequencyEN;
extern RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisHarmonicsFundamentalFrequencyMIL;
extern RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisHarmonicsFundamentalFrequencyRTCA;
extern RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisHarmonicsDisplay;
extern RsCoreRangeTableRanged RsMxo_rngPowerAnalysisHarmonicsDisplayFrequency;
extern RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisHarmonicsScaling;
extern RsCoreRangeTableRanged RsMxo_rngPowerAnalysisRefLevelHysteresisAbsolute;
extern RsCoreRangeTableRanged RsMxo_rngPowerAnalysisRefLevelAbsoluteLowerLevel;
extern RsCoreRangeTableRanged RsMxo_rngPowerAnalysisRefLevelHarmonicsHysteresisRelative;
extern RsCoreRangeTableRanged RsMxo_rngPowerAnalysisRefLevelRelativeLevel;
extern RsCoreRangeTableDiscrete RsMxo_rngPowerAnalysisRefLevelRelativeLevels;
extern RsCoreRangeTableDiscrete RsMxo_rngDigitalVoltmeterBW;
extern RsCoreRangeTableDiscrete RsMxo_rngReferenceWaveformXAxisMode;
extern RsCoreRangeTableDiscrete RsMxo_rngTriggerActionSignalSource;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolExportExtension;
extern RsCoreRangeTableDiscrete RsMxo_rngVerticalLabelSignal;
extern RsCoreRangeTableRanged RsMxo_rngProbeDifferentialOffset;
extern RsCoreRangeTableDiscrete RsMxo_rngProbeModularMeasurementMode;
extern RsCoreRangeTableDiscrete RsMxo_rngProbeTerminationMode;
extern RsCoreRangeTableRanged RsMxo_rngProtocolSPMIGSID;
extern RsCoreRangeTableRanged RsMxo_rngProtocolSPMIGlitchFilterWidth;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolSPMIResultsState;
extern RsCoreRangeTableRanged RsMxo_rngProtocolBC;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolSPMIResultsFrameType;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolTNOSByteState;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolHBTOResultsState;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolHBTOFrameType;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolHBTOMode;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolHBTOPolarity;
extern RsCoreRangeTableDiscrete RsMxo_rngHarmQual;
extern RsCoreRangeTableDiscrete RsMxo_rngProtocolTNOSResultsFrameType;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSMXO_ATTR_VERTICAL_SHOW_CHANNEL;
extern RsCoreAttribute g_RSMXO_ATTR_VERTICAL_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_VERTICAL_RANGE;
extern RsCoreAttribute g_RSMXO_ATTR_VERTICAL_OFFSET;
extern RsCoreAttribute g_RSMXO_ATTR_VERTICAL_SKEW;
extern RsCoreAttribute g_RSMXO_ATTR_VERTICAL_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_VERTICAL_COUPLING;
extern RsCoreAttribute g_RSMXO_ATTR_VERTICAL_INVERT_CHANNEL;
extern RsCoreAttribute g_RSMXO_ATTR_VERTICAL_BANDWIDTH;
extern RsCoreAttribute g_RSMXO_ATTR_VERTICAL_EXTERNAL_ATTENUATION_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_VERTICAL_EXTERNAL_ATTENUATION;
extern RsCoreAttribute g_RSMXO_ATTR_VERTICAL_POWER_CALCULATION_IMPEDANCE;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_VERTICAL_LABEL;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_NAME;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_PREDEFINED_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_BANDWIDTH;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_VERTICAL_UNIT;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_AUTO_ATTENUATION;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_MANUAL_ATTENUATION;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_SET_OFFSET_TO_MEAN;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_AUTO_ZERO;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_USE_AUTO_ZERO;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_MICRO_BUTTON;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_IMPEDANCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_CAPACITANCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_PART_NUMBER;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_PRODUCTION_DATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_SERIAL_NUMBER;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_SOFTWARE_VERSION;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_CM_OFFSET;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_RTZA15_ATTENUATOR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_DISPLAY;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_SOUND_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_BANDWIDTH_LIMIT_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_VOLTAGE_RANGE;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_METER_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_METER_SET_TO_OFFSET;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_AC_COUPLING_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_MANUAL_GAIN;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_PREDEFINED_GAIN;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_ZERO_ADJUST;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_DEGAUSS;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_SAVE_TO_PROBE;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_DIFFERENTIAL_OFFSET;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_NEGATIVE_OFFSET;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_POSITIVE_OFFSET;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_MODULAR_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_TERMINATION_VOLTAGE_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_TERMINATION_VOLTAGE;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_TERMINATION_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_RESULTS_SINGLE_ENDED;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_RESULTS_COMMON;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_RESULTS_DIFFERENTIAL;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_RESULTS_POSITIVE;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_RESULTS_NEGATIVE;
extern RsCoreAttribute g_RSMXO_ATTR_PROBE_RESULTS_MODULAR_VOLTAGE;
extern RsCoreAttribute g_RSMXO_ATTR_HORIZONTAL_TIME_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_HORIZONTAL_TIMEBASE_RANGE;
extern RsCoreAttribute g_RSMXO_ATTR_HORIZONTAL_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_HORIZONTAL_REFERENCE_POINT;
extern RsCoreAttribute g_RSMXO_ATTR_HORIZONTAL_DIVISIONS;
extern RsCoreAttribute g_RSMXO_ATTR_HORIZONTAL_ROLL_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_HORIZONTAL_ROLL_ACQUISITION_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_HORIZONTAL_ROLL_STATUS;
extern RsCoreAttribute g_RSMXO_ATTR_HORIZONTAL_REFERENCE_CLOCK_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_HORIZONTAL_REFERENCE_CLOCK_OUTPUT_10_MHZ_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_DIAGRAM;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_MODE_HORIZONTAL;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_X_ABSOLUTE_SPAN;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_X_ABSOLUTE_WIDTH;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_X_ABSOLUTE_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_X_ABSOLUTE_START;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_X_ABSOLUTE_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_X_RELATIVE_SPAN;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_X_RELATIVE_WIDTH;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_X_RELATIVE_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_X_RELATIVE_START;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_X_RELATIVE_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_MODE_VERTICAL;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_Y_ABSOLUTE_SPAN;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_Y_ABSOLUTE_RANGE;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_Y_ABSOLUTE_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_Y_ABSOLUTE_START;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_Y_ABSOLUTE_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_Y_RELATIVE_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_Y_RELATIVE_SPAN;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_Y_RELATIVE_WIDTH;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_Y_RELATIVE_START;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_Y_RELATIVE_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_ZOOM_SET_TO_SCREEN;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_ON;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_FORCE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SEQUENCE_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SEQUENCE_DELAY;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SEQUENCE_B_EVENT_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SEQUENCE_RESET_EVENT_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SEQUENCE_RESET_TIME_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SEQUENCE_RESET_TIMEOUT;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_FIND_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_EVENT_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_EDGE_SLOPE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_GLITCH_POLARITY;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_GLITCH_RANGE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_GLITCH_WIDTH;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_WIDTH_POLARITY;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_WIDTH_RANGE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_WIDTH_WIDTH;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_WIDTH_DELTA;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_RUNT_POLARITY;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_RUNT_RANGE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_RUNT_WIDTH;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_RUNT_DELTA;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_RUNT_LOWER_LIMIT;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_RUNT_UPPER_LIMIT;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_WINDOW_VERTICAL_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_WINDOW_TIME_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_WINDOW_WIDTH;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_WINDOW_DELTA;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_WINDOW_LOWER_LIMIT;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_WINDOW_UPPER_LIMIT;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_TIMEOUT_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_TIMEOUT_RANGE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_INTERVAL_SLOPE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_INTERVAL_RANGE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_INTERVAL_WIDTH;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_INTERVAL_DELTA;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SLEW_RATE_SLOPE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SLEW_RATE_RANGE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SLEW_RATE_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SLEW_RATE_DELTA;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SLEW_RATE_LOWER_LIMIT;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SLEW_RATE_UPPER_LIMIT;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_EDGE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_CLOCK_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_CLOCK_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_HOLD_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_SETUP_AND_HOLD_SETUPTIME;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_STATE_SLOPE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_STATE_OPERATOR;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_STATE_DIGITAL_STATE_OPERATOR;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_STATE_DIGITAL_CHANNEL_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_STATE_CHANNEL;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_PATTERN_OPERATOR;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_PATTERN_STATE_SOURCES;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_PATTERN_DIGITAL_STATE_OPERATOR;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_PATTERN_CHANNEL;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_PATTERN_DIGITAL_CHANNEL_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_EDGE_COUPLING;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_EDGE_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_EDGE_FILTER;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_EDGE_LOW_PASS;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_EDGE_HIGH_PASS;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_EDGE_NOISE_REJECT_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_HOLDOFF_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_HOLDOFF_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_HOLDOFF_EVENTS;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_HOLDOFF_MINIMUM_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_HOLDOFF_MAXIMUM_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_HOLDOFF_AUTO_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_HOLDOFF_AUTO_TIME_SCALING;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_HYSTERESIS_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_HW_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_HYSTERESIS_SIZE_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_HYSTERESIS_ABSOLUTE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_HYSTERESIS_RELATIVE_PERCENTAGE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_HYSTERESIS_RELATIVE_DIVS;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_FILTER_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_FILTER_LF_REJECT_BW;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_FILTER_RF_REJECT_BW;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_ACTION_TRIGGER_OUT_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_ACTION_POLARITY;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_ACTION_DELAY;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_ACTION_PULSE_LENGTH;
extern RsCoreAttribute g_RSMXO_ATTR_TRIGGER_ACTION_SIGNAL_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_RUN_CONTINUOUS;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_RUN_SINGLE;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_RUN_SINGLE_NO_WAIT;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_AUTOSCALE;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_SAMPLE_RATE_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_SAMPLE_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_MINIMUM_SAMPLE_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_RECORD_LENGTH_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_RECORD_LENGTH;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_RECORD_LENGTH_LIMIT;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_N_SINGLE_AVERAGE_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_RESOLUTION;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_INTERPOLATION;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_AVAILABLE_ACQUISITIONS;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_ADC_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_REAL_SAMPLE_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_AVERAGE;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_ROLL_MODE_OFF_SCREEN_CAPTURE;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_ROLL_MODE_POINTS;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_SEGMENTED_FAST_SEGMENTATION_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_SEGMENTED_ACQUIRE_MAXIMUM_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_HIGH_DEFINITION_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_HIGH_DEFINITION_BANDWIDTH;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_HIGH_DEFINITION_RESOLUTION;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_SHOW_HISTORY;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_HISTORY_REPLAY;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_HISTORY_PLAY;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_HISTORY_START;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_HISTORY_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_HISTORY_DISPLAY_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_HISTORY_SELECT_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_ABSOLUTE_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_ABSOLUTE_DATE;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_RELATIVE_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_ACQUISITION_HISTORY_TIMESTAMP_REFERENCE_RELATIVE_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_MEASUREMENT_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_SOURCE_1;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_SOURCE_2;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_GATE;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_ENVELOPE;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_STATISTICS_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_STATISTICS_ALL_EVENTS_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_STATISTICS_MAXIMUM_EVENTS;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_STATISTICS_CLEAR_RESULTS;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_FIT_TO_SCREEN;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_AUTOSCALE;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_TRACK_WAVEFORM_OFFSET;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_TRACK_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_TRACK_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_CLOCK_SLOPE;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_PULSE_SLOPE;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_PULSE_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_EDGES_SLOPE;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_DELAY_DIRECTION;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_DELAY_SLOPE;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_AMPLITUDE_TIME_DELAY_TO_TRIGGER;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_LEVEL_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_LEVEL_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_LOWER;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_MIDDLE;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_UPPER;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_LEVEL_ABSOLUTE_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_LOWER;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_MIDDLE;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_UPPER;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_LEVEL_RELATIVE_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_LEVEL_SET;
extern RsCoreAttribute g_RSMXO_ATTR_RESULTS_START;
extern RsCoreAttribute g_RSMXO_ATTR_RESULTS_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_RESULTS_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_RESULTS_MAXIMUM_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_RESULT_SHOW_LABELS;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_RESULTS_INVERTED_LABELS;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_RESULTS_SHOW_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_RESULTS_LABELS_ORDER;
extern RsCoreAttribute g_RSMXO_ATTR_RESULTS_EVENT_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_RESULTS_EVENT_START;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_RESULTS_EVENT_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_RESULTS_EVENT_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_MAX;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_MIN;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_MEAN;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_EVENT_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_RESULTS_STATISTICS_WAVE_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_MEASUREMENT_RESULTS_STATISTICS_RELIABILITY;
extern RsCoreAttribute g_RSMXO_ATTR_GATE_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_GATE_DISPLAY;
extern RsCoreAttribute g_RSMXO_ATTR_GATE_COUPLING_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_GATE_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_GATE_ABSOLUTE_START;
extern RsCoreAttribute g_RSMXO_ATTR_GATE_ABSOLUTE_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_GATE_RELATIVE_START;
extern RsCoreAttribute g_RSMXO_ATTR_GATE_RELATIVE_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_GATE_CURSOR;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_GATE_ZOOM_DIAGRAM;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_SHOW;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_DISABLE_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_STYLE;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_SOURCE_2_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_SOURCE_2;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_X1_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_X2_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_Y1_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_Y2_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_ENVELOPE;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_ENVELOPE_2;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_TRACK_WAVEFORM;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_SHOW_VALUES;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_ADVANCED_X_COUPLING;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_ADVANCED_Y_COUPLING;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_ADVANCED_SHOW_IN_ALL_DIAGRAMS;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_ADVANCED_SHOW_LABEL;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_ABSOLUTE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_NEXT;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_NEXT_PEAK_LEFT;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_NEXT_PEAK_RIGHT;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_SET_CENTER_TO_CURSOR;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_PEAK_SEARCH_EXCURSION;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_RESULTS_DELTA_X;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_RESULTS_DELTA_X_INVERSE;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_RESULTS_DELTA_Y;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_RESULTS_DELTA_Y_INVERSE;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_HORIZONTAL_LABEL;
extern RsCoreAttribute g_RSMXO_ATTR_CURSOR_VERTICAL_LABEL;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_DISPLAY;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_CENTER;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_SPAN;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_START;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_AUTO_RBW;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_RBW;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_SPAN_RBW_RATIO;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_TRACES_NORMAL_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_TRACES_MIN_HOLD_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_TRACES_MAX_HOLD_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_TRACES_AVERAGE_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_TRACES_AVERAGE_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PRESET;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_WINDOW_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_GATE_START;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_GATE_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_GATE_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_GATE_WIDTH;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_SCALE_VERTICAL_RANGE;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_SCALE_MAGNITUDE_UNIT;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_SCALE_VERTICAL_MAXIMUM;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_SCALE_VERTICAL_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_SHOW_TABLE;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_FRAME_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_PEAK_EXCURSION;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_MAX_RESULTS;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_LABEL_MAX_RESULTS;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_RESULT_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_SHOW_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_LABELS_INVERT_COLORS;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_LABELS_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_SORT;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_SORT_ORDER;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_PEAK_LIST_DISPLAY_PEAKS;
extern RsCoreAttribute g_RSMXO_ATTR_MATH_DISPLAY;
extern RsCoreAttribute g_RSMXO_ATTR_MATH_EXPRESSION;
extern RsCoreAttribute g_RSMXO_ATTR_MATH_SIGNAL_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_MATH_VERTICAL_SCALE_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_MATH_VERTICAL_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_MATH_VERTICAL_OFFSET;
extern RsCoreAttribute g_RSMXO_ATTR_MATH_ENVELOPE_WAVEFORM_SELECTION;
extern RsCoreAttribute g_RSMXO_ATTR_MATH_LABEL;
extern RsCoreAttribute g_RSMXO_ATTR_MATH_USER_UNIT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SERIAL_BUS_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SHOW_DECODE_TABLE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_DATA_FORMAT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_ZOOM_COUPLING;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SHOW_THRESHOLD_LINES;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SET_REFERENCE_LEVELS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_SELECTED_FRAME;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FRAME_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_SDA_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_SDA_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_SDA_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_SDA_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_SDA_VERTICAL_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_SCL_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_SCL_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_SCL_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_SHOW_SYMBOLS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_SYMBOL_LIST_FILE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_SELECTED_FIELD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_SELECTED_ERROR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_FRAME_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_FIELD_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_FRAME_CHECK_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_FRAME_CLEAR_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_INVERTS_CURRENT_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_START_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_END_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_START_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_END_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_FILTER_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_NACK;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_WRITE_NACK;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_READ_NACK;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_R_W_BIT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_MIN;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_MAX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_MIN;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_TRIGGER_DATA_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_SELECTED_BYTE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_FRAME_START;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_FRAME_END;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_SYMBOL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_START;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_ACK_BIT_START;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_ACK_BIT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_ADDRESS_COMPLETE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_DEVICE_ADDRESS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_RW_BIT_START;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_RW_BIT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BIT_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_START;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_COMPLETE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_ACK_BIT_START;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_ACK_BIT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_I2C_RESULTS_BYTE_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_SELECTED_FRAME;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FRAME_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_POLARITY;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_MOSI_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_MISO_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_MISO_POLARITY;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_MISO_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_MISO_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_MISO_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_MISO_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_SCLK_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_SCLK_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_SCLK_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_CS_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_CS_POLARITY;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_CS_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_CS_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_BIT_ORDER;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_WORD_LENGTH;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FRAME_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_TIMEOUT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_SELECTED_FIELD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_SELECTED_ERROR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_FRAME_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_FRAME_CHECK_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_FRAME_CLEAR_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_INVERTS_CURRENT_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_FIELD_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_START_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_END_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_START_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_END_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_FILTER_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_SEARCH_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_DATA_PATTERN;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_TRIGGER_DATA_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_SELECTED_WORD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FRAME_START;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FRAME_END;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_WORD_START;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_WORD_END;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_MOSI_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_MISO_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FORMATED_MOSI;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_FORMATED_MISO;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_BIT_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPI_RESULTS_DATA_WORD_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_SELECTED_FRAME;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_POLARITY;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_RX_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_RX_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_RX_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_RX_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_RX_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_TX_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_TX_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_TX_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_TX_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_TX_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_BIT_ORDER;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_BIT_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_DATA_BITS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_PARITY;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_STOP_BITS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_TIMEOUT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_PACKETS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_END_WORD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_SELECTED_FIELD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_SELECTED_ERROR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_FILTER_FRAME_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_FILTER_FRAME_CHECK_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_FILTER_FRAME_CLEAR_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_FILTER_INVERTS_CURRENT_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_FILTER_FIELD_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_FILTER_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_FILTER_START_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_FILTER_END_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_FILTER_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_FILTER_START_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_FILTER_END_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_FILTER_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_FILTER_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_FILTER_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_PATTERN;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_TRIGGER_OPERATOR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_SELECTED_WORD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_WORD_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_START;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_TX_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_RX_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_DATA_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_UART_RESULTS_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_SELECTED_FRAME;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_SELECTED_FIELD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_SELECTED_ERROR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRANSCEIVER_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_SIC_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FAST_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_SIC_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FAST_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_NOMINAL_BIT_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_SAMPLE_POINT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FD_BIT_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FD_SAMPLE_POINT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_DECODED_FRAMES;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_XL_BITRATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_XL_SAMPLE_POINT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_SHOW_SYMBOLS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_SYMBOL_LIST_FILE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_FIELD_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_CHECK_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FRAME_CLEAR_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_INVERTS_CURRENT_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_OPERATOR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_DATA_OPERATOR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_START_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_END_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_INDEX_OPERATOR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_START_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_FIELD_END_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_FILTER_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_MINIMUM;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_MAXIMUM;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DATA_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DATA_MINIMUM;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DATA_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_CHECKSUM_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_FORM_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_BIT_STUFFING_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_ACK_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_STUFF_COUNT_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_BRS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_ESI;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DLC;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_TRIGGER_DLC_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_XL_TRIGGER_SEC;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_XL_AF_TRIGGER_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_AF_TRIGGER_MAX;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_AF_TRIGGER_MIN;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_XL_SDT_TRIGGER_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_SDT_TRIGGER_MAX;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_SDT_TRIGGER_MIN;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_XL_VCID_TRIGGER_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_VCID_TRIGGER_MAX;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_VCID_TRIGGER_MIN;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_SELECTED_BYTE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_START;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAME_SYMBOL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ID_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ID_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ID_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ACK_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_ACK_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_BYTE_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_BYTE_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_CRC_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_CRC_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DLC_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DLC_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_BIT_STUFFING_ERROR_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FORM_ERROR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DATA_BYTES_NUMBER;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_PATTERN_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_SYMBOLIC_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_SYMBOLIC_DATA_EXPORT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_STUFF_COUNT_FIELD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FIELD_BRS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FIELD_ESI;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_FRAMES_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_DATA_BIT_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_NOMINAL_BIT_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_RESULTS_STUFF_BIT_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_ACCEPTANCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_PCRC;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_SBC;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_SERVICE_DATA_UNIT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_SEC;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_VCID;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_CAN_XL_RESULTS_FIELD_FRAME_CRC;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_STANDARD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_POLARITY;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_BIT_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_SELECTED_FRAME;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_SELECTED_FIELD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_SELECTED_ERROR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FRAME_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FRAME_CHECK_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FRAME_CLEAR_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_INVERTS_CURRENT_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_OPERATOR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_DATA_OPERATOR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_START_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_END_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_INDEX_OPERATOR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_END_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_FIELD_START_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_FILTER_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_PARITY_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_SYNC_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_CHECKSUM_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_DATA_OPERATOR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_DATA_PATTERN;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_DATA_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_FRAME_ID_MIN;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_TRIGGER_FRAME_ID_MAX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_SELECTED_BYTE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_START;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_END;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BITRATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_CHECKSUM;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_ID;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_ID_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_ID_PARITY;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_PROTECTED_IDENTIFIER;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_FORMATTED_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_LIN_RESULTS_FRAME_BYTE_LABEL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_SELECTED_FRAME;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_USE_GSID;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_GSID;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_USE_GLITCH_FILTER;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_GLITCH_FILTER_WIDTH;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_CLOCK_LINE_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_CLOCK_LINE_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_CLOCK_LINE_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_SOURCE_DATA_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_SOURCE_DATA_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_SOURCE_DATA_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_SELECTED_FIELD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_SELECTED_ERROR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FRAME_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FRAME_CHECK_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FRAME_CLEAR_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_INVERTS_CURRENT_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_FIELD_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_START_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_END_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_START_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_END_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_FILTER_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_START;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_END;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_READ_BIT_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_WRITE_BIT_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_ADDRESS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_ADDRESS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_BC;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FD_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_FORMATED_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_LABEL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_SPMI_RESULTS_FRAME_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_FRAME;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_SHOW_SYMBOLS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_FRAME_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_SYMBOL_LIST_FILE_LOAD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_THRESHOLD_LOWER;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_THRESHOLD_UPPER;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_FIELD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_ERROR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FRAME_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FRAME_CHECK_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FRAME_CLEAR_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_INVERTS_CURRENT_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_FIELD_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_START_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_END_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_START_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_END_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_FILTER_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_SELECTED_BYTE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_START;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_END;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_BIT_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_BYTE_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_FORMATTED_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_BYTE_LABEL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_CRC;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_DESTINATION_ADDRESS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_DESTINATION_SYMBOL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_CRC;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_DESTINATION_ADDRESS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_SRC_ADDRESS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_FRAME_FORMATED_TYPE_LENGTH;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_SOURCE_ADDRESS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_SOURCE_SYMBOL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_TNOS_RESULTS_TYPE_LENGTH;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_FRAME;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_POLARITY;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_SHOW_SYMBOLS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_FRAME_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_SYMBOL_LIST_FILE_LOAD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_FIELD;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_ERROR;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FRAME_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FRAME_CHECK_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FRAME_CLEAR_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_INVERTS_CURRENT_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_FIELD_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_START_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_END_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_START_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_END_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_ERROR_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_FILTER_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_SELECTED_BYTE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_START;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_END;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_BIT_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_BYTE_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_FORMATTED_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_BYTE_LABEL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_CRC;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_DESTINATION_ADDRESS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_DESTINATION_SYMBOL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_CRC;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_DESTINATION_ADDRESS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_SRC_ADDRESS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_FRAME_FORMATED_TYPE_LENGTH;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_SOURCE_ADDRESS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_SOURCE_SYMBOL;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_HBTO_RESULTS_TYPE_LENGTH;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_EXPORT_SAVE;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_EXPORT_INCLUDE_TIMING;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_EXPORT_INCLUDE_DETAILS;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_EXPORT_EXTENSION;
extern RsCoreAttribute g_RSMXO_ATTR_PROTOCOL_EXPORT_PATH;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_SHOW_DIGITAL_SIGNALS;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_TECHNOLOGY;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_LEVEL_COUPLING;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_SKEW;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_CLEAR;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_BUS_SHOW;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_BUS_DATA_FORMAT;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_SIZE_OF_THE_DISPLAY;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_DIGITAL_CHANNEL_VERTICAL_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_DIGITAL_CHANNEL_SIZE_OF_THE_DISPLAY;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_CHANNEL_GROUP_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_CHANNEL_GROUP_HYSTERESIS;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_BIT_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_BIT_LABEL;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_BIT_SKEW;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_BUS_CLOCKED_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_BUS_CLOCKED_SLOPE;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_BUS_CLOCKED_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_CHANNEL_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_CHANNEL_TECHNOLOGY;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_CHANNEL_SKEW;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_CHANNEL_LABEL;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_CHANNEL_SIZE;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_CHANNEL_TH_COUPLING;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_CHANNEL_THRESHOLD;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_DECODE_TABLE_SHOW;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_DECODE_TABLE_NUMBER_OF_ROWS;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_LOGIC_DECODE_TABLE_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AUTOSCALE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_START;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_RESULT;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_CALIBRATION_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GENERATOR;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_INPUT;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_OUTPUT;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_START;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_POINTS_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_POINTS_TOTAL;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_POINTS_LOGARITHMIC;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_USER_LOAD;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_REPEAT;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_RUN;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MAXIMUM_PHASE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MEASUREMENT_DELAY_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DELAY_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_RBW;
extern RsCoreAttribute g_RSMXO_ATTR_SELECTED_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_POINT;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_POINT_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_ADD;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_DELETE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_SORT;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_AMPLITUDE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_PROFILE_VOLTAGE_CHANGE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_POINTS;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_RESULT_TABLE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_MARKERS;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_DISPLAY_MARGIN;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_VERTICAL_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_VERTICAL_OFFSET;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_VERTICAL_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_VERTICAL_OFFSET;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_VERTICAL_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_AMPLITUDE_VERTICAL_OFFSET;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_MARGIN_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_MARGIN_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_MARGIN_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_MARGIN_VALUE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_GAIN_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_PHASE_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_FREQUENCY_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_PHASE;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_GAIN;
extern RsCoreAttribute g_RSMXO_ATTR_FREQUENCY_RESPONSE_ANALYSIS_MARKER_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_AUTO_DESKEW_ADJUSTMENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_EXPORT_RESULTS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_CURRENT_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_VOLTAGE_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_FUNDAMENTAL_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_FUNDAMENTAL_FREQUENCY_USER;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_AVERAGE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_NEGATIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_POSITIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_CREST_FACTOR_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_AVERAGE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_NEGATIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_POSITIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_PEAK_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_AVERAGE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_NEGATIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_POSITIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_CURRENT_RMS_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_AVERAGE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_NEGATIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_POSITIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_APPARENT_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_AVERAGE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_NEGATIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_POSITIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_FACTOR_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_AVERAGE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_NEGATIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_POSITIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_PHASE_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_AVERAGE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_NEGATIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_POSITIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_REACTIVE_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_AVERAGE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_NEGATIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_POSITIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_POWER_ACTIVE_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_AVERAGE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_NEGATIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_POSITIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_CREST_FACTOR_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_AVERAGE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_NEGATIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_POSITIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_FREQUENCY_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_AVERAGE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_NEGATIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_POSITIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_PEAK_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_AVERAGE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_NEGATIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_POSITIVE_PEAK;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_QUALITY_RESULTS_VOLTAGE_RMS_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_CURRENT_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_VOLTAGE_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_STANDARD;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_EN;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_MIL;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_FUNDAMENTAL_FREQUENCY_RTCA;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_CLEAR_RESULTS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_DISPLAY;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_DISPLAY_FREQUENCY_START;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_DISPLAY_FREQUENCY_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_SCALING;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MEASURED_HARMONICS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_THDF;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_THD_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_FREQUENCY_CURRENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_REAL_POWER;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_VIOLATION;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MAXIMUM_PERCENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MINIMUM_PERCENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_CURRENT_PERCENT;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MAXIMUM_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_MINIMUM_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_HARMONICS_RESULTS_MAGNITUDE_CURRENT_RMS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_HYSTERESIS_ABSOLUTE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_HYSTERESIS_ABSOLUTE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_ABSOLUTE_LOWER_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_ABSOLUTE_LOWER_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_ABSOLUTE_MIDDLE_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_ABSOLUTE_MIDDLE_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_ABSOLUTE_UPPER_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_ABSOLUTE_UPPER_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_LEVEL_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_LEVEL_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_HYSTERESIS_RELATIVE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_HYSTERESIS_RELATIVE;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_LOWER_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_LOWER_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_MIDDLE_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_MIDDLE_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_UPPER_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_UPPER_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_HARMONICS_RELATIVE_LEVELS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_REF_LEVEL_QUALITY_RELATIVE_LEVELS;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_DATA_HARMONICS_HEADER;
extern RsCoreAttribute g_RSMXO_ATTR_POWER_ANALYSIS_DATA_QUALITY_HEADER;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_POWER_ANALYSIS_DATA_HARMONICS;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_POWER_ANALYSIS_DATA_QUALITY;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_VOLTMETER_DC_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_VOLTMETER_DC_RESULT;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_VOLTMETER_AC_RMS_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_VOLTMETER_AC_RMS_RESULT;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_VOLTMETER_DC_RMS_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_VOLTMETER_DC_RMS_RESULT;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_VOLTMETER_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_VOLTMETER_BANDWIDTH;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_SHOW;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_NAME;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_CREATE_UPDATE;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_SAVE;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_ABORT;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_OPEN;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_CLEAR;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_X_AXIS_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_VERTICAL_OFFSET;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_VERTICAL_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_VERTICAL_SCALE_FACTOR;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_VERTICAL_OFFSET;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_ENABLE;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_SCALE_FACTOR;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_RESCALE_HORIZONTAL_OFFSET;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_INVERSION_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_FUNCTION_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_AMPLITUDE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_OFFSET;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_SYMMETRY;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_DUTY_CYCLE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_PERIOD;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_PULSE_WIDTH;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_NOISE_LEVEL_IN_PERCENT;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_NOISE_LEVEL_ABSOLUTE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_NOISE_DC_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_DC_LEVEL;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_LOW_VOLTAGE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_HIGH_VOLTAGE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_USER_LOAD;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_DEFAULT_SETUP;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_SAVE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_RECALL;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_SWEEP_STATE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_SWEEP_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_SWEEP_START_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_SWEEP_STOP_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_SWEEP_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_CARRIER_PERIOD;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_CARRIER_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_AM_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_AM_SIGNAL_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_AM_DEPTH;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_AM_DUTY_CYCLE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_AM_SYMMETRY;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_PWM_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_PWM_SIGNAL_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_PWM_DEPTH;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_PWM_DUTY_CYCLE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_PWM_SYMMETRY;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_FM_FREQUENCY;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_FM_SIGNAL_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_FM_DEVIATION;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_FM_DUTY_CYCLE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_FM_SYMMETRY;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_FSK_FREQUENCY_1;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_FSK_FREQUENCY_2;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_MODULATION_FSK_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_OPEN;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_NAME;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_ARBITRARY_WAVEFORM_RUN_SINGLE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_ARBITRARY_RUN_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_ARBITRARY_SAMPLE_RATE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_ARBITRARY_NUMBER_OF_SAMPLES;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_ARBITRARY_SIGNAL_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_SYNCHRONISATION_START;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_SYNCHRONISATION_AMPLITUDE_PARAMETERS;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_SYNCHRONISATION_FREQUENCY_PARAMETERS;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_SYNCHRONIZE_PHASE_SHIFT;
extern RsCoreAttribute g_RSMXO_ATTR_GENERATOR_SYNCHRONISATION_COUPLING_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_SAVESET_INCLUDE_PREVIEW_IMAGE;
extern RsCoreAttribute g_RSMXO_ATTR_SAVE_INSTRUMENT_SETTINGS;
extern RsCoreAttribute g_RSMXO_ATTR_LOAD_INSTRUMENT_SETTINGS;
extern RsCoreAttribute g_RSMXO_ATTR_DRIVES_CATALOG;
extern RsCoreAttribute g_RSMXO_ATTR_MEMORY_CATALOG_SIZE;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_MEMORY_CATALOG;
extern RsCoreAttribute g_RSMXO_ATTR_LOAD_WAVEFORM_GENERATOR_SETTINGS;
extern RsCoreAttribute g_RSMXO_ATTR_STORE_WAVEFORM_GENERATOR_SETTINGS;
extern RsCoreAttribute g_RSMXO_ATTR_FILE_DELETE;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_FILE_COPY;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_FILE_MOVE;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_FILE_ATTRIBUTE;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_FILE_SAVE_TO_DEFAULT;
extern RsCoreAttribute g_RSMXO_ATTR_DIRECTORY_DEFAULT;
extern RsCoreAttribute g_RSMXO_ATTR_DIRECTORY_CREATE;
extern RsCoreAttribute g_RSMXO_ATTR_DIRECTORY_DELETE;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_DIRECTORY_CATALOG_SIZE;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_DIRECTORY_CATALOG;
extern RsCoreAttribute g_RSMXO_ATTR_SCREENSHOT_SHOW_SETUP_DIALOG;
extern RsCoreAttribute g_RSMXO_ATTR_SCREENSHOT_WHITE_BACKGROUND;
extern RsCoreAttribute g_RSMXO_ATTR_SCREENSHOT_INCLUDE_SIGNAL_BAR;
extern RsCoreAttribute g_RSMXO_ATTR_SCREENSHOT_INVERT_COLOR;
extern RsCoreAttribute g_RSMXO_ATTR_SCREENSHOT_FILENAME;
extern RsCoreAttribute g_RSMXO_ATTR_SCREENSHOT_FILE_EXTENSION;
extern RsCoreAttribute g_RSMXO_ATTR_SCREENSHOT_SAVE;
extern RsCoreAttribute g_RSMXO_ATTR_SCREENSHOT_SAVE_NEXT;
extern RsCoreAttribute g_RSMXO_ATTR_WAVEFORM_EXPORT_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_WAVEFORM_EXPORT_MODE;
extern RsCoreAttribute g_RSMXO_ATTR_WAVEFORM_EXPORT_MANUAL_START;
extern RsCoreAttribute g_RSMXO_ATTR_WAVEFORM_EXPORT_MANUAL_STOP;
extern RsCoreAttribute g_RSMXO_ATTR_WAVEFORM_EXPORT_GATE;
extern RsCoreAttribute g_RSMXO_ATTR_WAVEFORM_EXPORT_CURSOR_SET;
extern RsCoreAttribute g_RSMXO_ATTR_WAVEFORM_EXPORT_FILE_NAME;
extern RsCoreAttribute g_RSMXO_ATTR_WAVEFORM_EXPORT_SAVE_TO_FILE;
extern RsCoreAttribute g_RSMXO_ATTR_WAVEFORM_EXPORT_ABORT_SAVE;
extern RsCoreAttribute g_RSMXO_ATTR_RESULTS_EXPORT_INCLUDE_CURRENT_MEASUREMENT;
extern RsCoreAttribute g_RSMXO_ATTR_RESULTS_EXPORT_INCLUDE_CURSOR;
extern RsCoreAttribute g_RSMXO_ATTR_RESULTS_EXPORT_FILE_NAME;
extern RsCoreAttribute g_RSMXO_ATTR_RESULTS_EXPORT_SAVE_TO_FILE;
extern RsCoreAttribute g_RSMXO_ATTR_RESULTS_EXPORT_FRA_MARGIN;
extern RsCoreAttribute g_RSMXO_ATTR_RESULTS_EXPORT_FRA_MARKER;
extern RsCoreAttribute g_RSMXO_ATTR_RESULTS_EXPORT_FRA_RESULT;
extern RsCoreAttribute g_RSMXO_ATTR_SYSTEM_NETWORK_HOSTNAME;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_SYSTEM_DATE;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_SYSTEM_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_REMOTE_TRANSFER_DATA_FORMAT;
extern RsCoreAttribute g_RSMXO_ATTR_REMOTE_BITPATTERN_FORMAT;
extern RsCoreAttribute g_RSMXO_ATTR_REMOTE_DISPLAY_UPDATE_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_REMOTE_DISPLAY_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_REMOTE_DISPLAY_MESSAGE;
extern RsCoreAttribute g_RSMXO_ATTR_COLORS_SIGNAL_NAME_CATALOG;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_COLORS_USE_COLOR_TABLE;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_COLORS_SELECT_COLOR;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_COLORS_ASSIGNED_COLOR_TABLE;
extern RsCoreAttribute g_RSMXO_ATTR_GRID_SHOW;
extern RsCoreAttribute g_RSMXO_ATTR_GRID_SHOW_LABELS;
extern RsCoreAttribute g_RSMXO_ATTR_GRID_SHOW_FINE_GRID_SCALE;
extern RsCoreAttribute g_RSMXO_ATTR_GRID_SHOW_CROSSHAIR;
extern RsCoreAttribute g_RSMXO_ATTR_GRID_KEEP_Y_GRID_FIXED;
extern RsCoreAttribute g_RSMXO_ATTR_GRID_KEEP_X_GRID_FIXED;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_LAYOUT_ACTIVE;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_LAYOUT_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_LAYOUT_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_LAYOUT_LABEL;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_SELECTED_NODE;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_SELECTED_CONTENTS;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_NODE_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_NODE_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_NODE_SPLIT_RATIO;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_NODE_SPLIT_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_DIAGRAM_COUNT;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_DIAGRAM_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_DIAGRAM_LABEL;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_DIAGRAM_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_NODE_ID;
extern RsCoreAttribute g_RSMXO_ATTR_SMART_GRID_NODE_TYPE;
extern RsCoreAttribute g_RSMXO_ATTR_DIALOG_FONT_SIZE;
extern RsCoreAttribute g_RSMXO_ATTR_DIALOG_TRANSPARENCY;
extern RsCoreAttribute g_RSMXO_ATTR_DIALOG_RESULT_FONT_SIZE;
extern RsCoreAttribute g_RSMXO_ATTR_DISPLAY_SIGNAL_STYLE;
extern RsCoreAttribute g_RSMXO_ATTR_DISPLAY_SIGNAL_INTENSITY;
extern RsCoreAttribute g_RSMXO_ATTR_DISPLAY_PERSISTENCE_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_DISPLAY_PERSISTENCE_INFINITE;
extern RsCoreAttribute g_RSMXO_ATTR_DISPLAY_PERSISTENCE_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_DISPLAY_PERSISTENCE_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_DISPLAY_BACKLIGHT_BRIGHTNESS;
extern RsCoreAttribute g_RSMXO_ATTR_DISPLAY_BACKLIGHT_DIMM_ON_USER_INACTIVITY;
extern RsCoreAttribute g_RSMXO_ATTR_DISPLAY_CLEAR_RESULTS;
extern RsCoreAttribute g_RSMXO_ATTR_TOOLBAR_NUMBER_OF_TOOLS;
extern RsCoreAttribute g_RSMXO_ATTR_TOOLBAR_REMOVE_ALL_TOOLS;
extern RsCoreAttribute g_RSMXO_ATTR_TOOLBAR_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_CSV_DELIMITER;
extern RsCoreAttribute g_RSMXO_ATTR_AUTONAMING_AUTOSAVE_ENABLE;
extern RsCoreAttribute g_RSMXO_ATTR_AUTONAMING_AUTOSAVE_INTERVAL;
extern RsCoreAttribute g_RSMXO_ATTR_AUTONAMING_USER_TEXT_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_AUTONAMING_PREFIX;
extern RsCoreAttribute g_RSMXO_ATTR_AUTONAMING_DATE_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_AUTONAMING_INDEX;
extern RsCoreAttribute g_RSMXO_ATTR_AUTONAMING_USER_TEXT;
extern RsCoreAttribute g_RSMXO_ATTR_AUTONAMING_DEFAULT_PATH_FOR_ALL_FILE_OPERATIONS;
extern RsCoreAttribute g_RSMXO_ATTR_AUTONAMING_RESET_PATH;
extern RsCoreAttribute g_RSMXO_ATTR_AUTONAMING_RESET_ALL;
extern RsCoreAttribute g_RSMXO_ATTR_EXECUTE_ALIGNMENT;
extern RsCoreAttribute g_RSMXO_ATTR_ALIGNMENT_DATE;
extern RsCoreAttribute g_RSMXO_ATTR_ALIGNMENT_TIME;
extern RsCoreAttribute g_RSMXO_ATTR_ALIGNMENT_RESULT;
extern RsCoreAttribute g_RSMXO_ATTR_AUTO_POWER_UP_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_CREATE_SERVICE_REPORT;
extern RsCoreAttribute g_RSMXO_ATTR_SYSTEM_EXIT;
extern RsCoreAttribute g_RSMXO_ATTR_SYSTEM_SHUTDOWN;
extern RsCoreAttribute g_RSMXO_ATTR_SYSTEM_FILENAME_FIRMWARE_INSTALLATION_FILE;
extern RsCoreAttribute g_RSMXO_ATTR_SYSTEM_START_FIRMWARE_UPDATE;
extern RsCoreAttribute g_RSMXO_ATTR_SYSTEM_PRESET;
extern RsCoreAttribute g_RSMXO_ATTR_SYSTEM_HOSTNAME;
extern RsCoreAttribute g_RSMXO_ATTR_CHANNEL_WAVEFORM_HEADER;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_CHANNEL_WAVEFORM_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_MATH_WAVEFORM_HEADER;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_MATH_WAVEFORM_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_DIGITAL_WAVEFORM_HEADER;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_DIGITAL_WAVEFORM_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_LOGIC_BUS_HEADER;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_LOGIC_BUS_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_HEADER;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_REFERENCE_WAVEFORM_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_REFERENCE_WAVEFORM_DATA_SOURCE;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_NORMAL_WAVEFORM_HEADER;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_AVERAGE_WAVEFORM_HEADER;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_MINIMUM_WAVEFORM_HEADER;
extern RsCoreAttribute g_RSMXO_ATTR_SPECTRUM_MAXIMUM_WAVEFORM_HEADER;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_SPECTRUM_NORMAL_WAVEFORM_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_SPECTRUM_AVERAGE_WAVEFORM_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_SPECTRUM_MINIMUM_WAVEFORM_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_SPECTRUM_MAXIMUM_WAVEFORM_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_MEASUREMENT_TRACK_DATA_HEADER;
extern RsCoreAttribute g_RSMXO_ATTR_HIDDEN_MEASUREMENT_TRACK_DATA_DATA;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_RESET;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_EVENT;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_NEGATIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_NEGATIVE_CLIPPING_POSITIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_EVENT;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_NEGATIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_POSITIVE_CLIPPING_POSITIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_NEGATIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_POSITIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_EVENT;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_OVERLOAD_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_EVENT;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_NEGATIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_WARN_OVERLOAD_POSITIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_EVENT;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_NEGATIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_CHANNEL_PPS_POSITIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_EVENT;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_NEGATIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_IMPRECISE_POSITIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_EVENT;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_NEGATIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_LIMIT_POSITIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_EVENT;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_NEGATIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_MEASUREMENT_MARGIN_POSITIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_EVENT;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_NEGATIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_TEMPERATURE_POSITIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_EVENT;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_NEGATIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_GENERATOR_G_OVERLOAD_POSITIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_EVENT;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_POSITIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_ACTION_NEGATIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_ENABLED;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_EVENT;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_CONDITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_POSITIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_STATUS_REGISTER_TRIGGER_EDGE_NEGATIVE_TRANSITION;
extern RsCoreAttribute g_RSMXO_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSMXO_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSMXO_ATTR_SYSTEM_ERROR_LIST;
extern RsCoreAttribute g_RSMXO_ATTR_SYSTEM_VERSION;
extern RsCoreAttribute g_RSMXO_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;
extern RsCoreAttribute g_RSMXO_ATTR_LOGGING;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rsmxo_RsCoreRepCapTable[];
extern ViInt32 rsmxo_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rsmxo_RsCoreAttributeList[];
extern ViInt32 rsmxo_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSMXO_ATTRIBUTES_HEADER */
