/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Internal include file (Non-Exported declarations)
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2024-08-22 11:14:55Z
 *****************************************************************************/

#pragma once
#include <visatype.h>

#define RSMXO_ATTR_HIDDEN_VERTICAL_LABEL                                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1705
#define RSMXO_ATTR_HIDDEN_MEASUREMENT_SOURCE                                RS_SPECIFIC_PUBLIC_ATTR_BASE + 796
#define RSMXO_ATTR_HIDDEN_RESULTS_MAXIMUM_COUNT                             RS_SPECIFIC_PUBLIC_ATTR_BASE + 817
#define RSMXO_ATTR_HIDDEN_RESULT_SHOW_LABELS                                RS_SPECIFIC_PUBLIC_ATTR_BASE + 818
#define RSMXO_ATTR_HIDDEN_RESULTS_INVERTED_LABELS                           RS_SPECIFIC_PUBLIC_ATTR_BASE + 819
#define RSMXO_ATTR_HIDDEN_RESULTS_SHOW_FREQUENCY                            RS_SPECIFIC_PUBLIC_ATTR_BASE + 820
#define RSMXO_ATTR_HIDDEN_RESULTS_LABELS_ORDER                              RS_SPECIFIC_PUBLIC_ATTR_BASE + 821
#define RSMXO_ATTR_HIDDEN_RESULTS_EVENT_START                               RS_SPECIFIC_PUBLIC_ATTR_BASE + 1323
#define RSMXO_ATTR_HIDDEN_RESULTS_EVENT_STOP                                RS_SPECIFIC_PUBLIC_ATTR_BASE + 1324
#define RSMXO_ATTR_HIDDEN_RESULTS_EVENT_VALUE                               RS_SPECIFIC_PUBLIC_ATTR_BASE + 1325
#define RSMXO_ATTR_HIDDEN_MEASUREMENT_RESULTS_STATISTICS_RELIABILITY        RS_SPECIFIC_PUBLIC_ATTR_BASE + 830
#define RSMXO_ATTR_HIDDEN_GATE_ZOOM_DIAGRAM                                 RS_SPECIFIC_PUBLIC_ATTR_BASE + 1335
#define RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_AF_TRIGGER_MAX                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1546
#define RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_AF_TRIGGER_MIN                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1548
#define RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_SDT_TRIGGER_MAX                   RS_SPECIFIC_PUBLIC_ATTR_BASE + 1551
#define RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_SDT_TRIGGER_MIN                   RS_SPECIFIC_PUBLIC_ATTR_BASE + 1553
#define RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_VCID_TRIGGER_MAX                  RS_SPECIFIC_PUBLIC_ATTR_BASE + 1556
#define RSMXO_ATTR_HIDDEN_PROTOCOL_CAN_XL_VCID_TRIGGER_MIN                  RS_SPECIFIC_PUBLIC_ATTR_BASE + 1558
#define RSMXO_ATTR_HIDDEN_LOGIC_DECODE_TABLE_DATA                           RS_SPECIFIC_PUBLIC_ATTR_BASE + 1914
#define RSMXO_ATTR_HIDDEN_POWER_ANALYSIS_DATA_HARMONICS                     RS_SPECIFIC_PUBLIC_ATTR_BASE + 2041
#define RSMXO_ATTR_HIDDEN_POWER_ANALYSIS_DATA_QUALITY                       RS_SPECIFIC_PUBLIC_ATTR_BASE + 2042
#define RSMXO_ATTR_HIDDEN_MEMORY_CATALOG                                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1458
#define RSMXO_ATTR_HIDDEN_FILE_COPY                                         RS_SPECIFIC_PUBLIC_ATTR_BASE + 1462
#define RSMXO_ATTR_HIDDEN_FILE_MOVE                                         RS_SPECIFIC_PUBLIC_ATTR_BASE + 1463
#define RSMXO_ATTR_HIDDEN_FILE_ATTRIBUTE                                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1464
#define RSMXO_ATTR_HIDDEN_FILE_SAVE_TO_DEFAULT                              RS_SPECIFIC_PUBLIC_ATTR_BASE + 1465
#define RSMXO_ATTR_HIDDEN_DIRECTORY_CATALOG_SIZE                            RS_SPECIFIC_PUBLIC_ATTR_BASE + 1469
#define RSMXO_ATTR_HIDDEN_DIRECTORY_CATALOG                                 RS_SPECIFIC_PUBLIC_ATTR_BASE + 1470
#define RSMXO_ATTR_HIDDEN_SYSTEM_DATE                                       RS_SPECIFIC_PUBLIC_ATTR_BASE + 1475
#define RSMXO_ATTR_HIDDEN_SYSTEM_TIME                                       RS_SPECIFIC_PUBLIC_ATTR_BASE + 1476
#define RSMXO_ATTR_HIDDEN_COLORS_USE_COLOR_TABLE                            RS_SPECIFIC_PUBLIC_ATTR_BASE + 1222
#define RSMXO_ATTR_HIDDEN_COLORS_SELECT_COLOR                               RS_SPECIFIC_PUBLIC_ATTR_BASE + 1223
#define RSMXO_ATTR_HIDDEN_COLORS_ASSIGNED_COLOR_TABLE                       RS_SPECIFIC_PUBLIC_ATTR_BASE + 1224
#define RSMXO_ATTR_HIDDEN_CHANNEL_WAVEFORM_DATA                             RS_SPECIFIC_PUBLIC_ATTR_BASE + 1197
#define RSMXO_ATTR_HIDDEN_MATH_WAVEFORM_DATA                                RS_SPECIFIC_PUBLIC_ATTR_BASE + 1199
#define RSMXO_ATTR_HIDDEN_DIGITAL_WAVEFORM_DATA                             RS_SPECIFIC_PUBLIC_ATTR_BASE + 1201
#define RSMXO_ATTR_HIDDEN_LOGIC_BUS_DATA                                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1203
#define RSMXO_ATTR_HIDDEN_REFERENCE_WAVEFORM_DATA                           RS_SPECIFIC_PUBLIC_ATTR_BASE + 1205
#define RSMXO_ATTR_HIDDEN_SPECTRUM_NORMAL_WAVEFORM_DATA                     RS_SPECIFIC_PUBLIC_ATTR_BASE + 1211
#define RSMXO_ATTR_HIDDEN_SPECTRUM_AVERAGE_WAVEFORM_DATA                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1212
#define RSMXO_ATTR_HIDDEN_SPECTRUM_MINIMUM_WAVEFORM_DATA                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1213
#define RSMXO_ATTR_HIDDEN_SPECTRUM_MAXIMUM_WAVEFORM_DATA                    RS_SPECIFIC_PUBLIC_ATTR_BASE + 1214
#define RSMXO_ATTR_HIDDEN_MEASUREMENT_TRACK_DATA_DATA                       RS_SPECIFIC_PUBLIC_ATTR_BASE + 1585
